summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/dbench
diff options
context:
space:
mode:
Diffstat (limited to 'sanity/system_light/scripts/dbench')
-rwxr-xr-xsanity/system_light/scripts/dbench/dbench.sh14
-rwxr-xr-xsanity/system_light/scripts/dbench/dbench_run.sh20
2 files changed, 34 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/dbench/dbench.sh b/sanity/system_light/scripts/dbench/dbench.sh
new file mode 100755
index 0000000..2d2633d
--- /dev/null
+++ b/sanity/system_light/scripts/dbench/dbench.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+function main()
+{
+ $TOOLDIR/dbench_run.sh;
+ if [ $? -eq 0 ]; then
+ rm -r clients && echo "removed clients";
+ return 0;
+ else
+ return 1;
+ fi
+}
+
+main "$@"; \ No newline at end of file
diff --git a/sanity/system_light/scripts/dbench/dbench_run.sh b/sanity/system_light/scripts/dbench/dbench_run.sh
new file mode 100755
index 0000000..6887512
--- /dev/null
+++ b/sanity/system_light/scripts/dbench/dbench_run.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+function main()
+{
+#runs $3 multiple clients on mount point and tests the performance and -t option ($2) tells the time for which it should be run
+ echo "start:`date +%T`"
+ time dbench -t $TIME -s -S $DBENCH_CLNTS 2>>$LOG_FILE 1>>$LOG_FILE
+
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+
+}
+
+main "$@"; \ No newline at end of file